Bug 59938 - size of font in the kde desktop
Summary: size of font in the kde desktop
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-15 10:14 UTC by Eric Doutreleau
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 14:48:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot for showing the huge fonts at login (86.80 KB, image/jpeg)
2002-02-15 10:16 UTC, Eric Doutreleau
no flags Details
kde configuration (80.00 KB, text/plain)
2002-04-02 15:00 UTC, Eric Doutreleau
no flags Details

Description Eric Doutreleau 2002-02-15 10:14:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
When i log in an account the font of the icon of the desktop are
huge.
I didn t modify the font use for these icons.
It seems that the font are just displayed bad

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. log on the account onb console screen
2. 'rm' -rf .kde
3. log on the X windows gdm and choose kde

	

Actual Results:  The font of the icons desktop are huge

Expected Results:  The font should be normal size

Additional info:

in the .xsession-errors il got the following messages

X Error of failed request:  86
  Major opcode of failed request:  51 (X_SetFontPath)
  Serial number of failed request:  9
  Current serial number in output stream:  11
X Error of failed request:  86
  Major opcode of failed request:  51 (X_SetFontPath)
  Serial number of failed request:  9
  Current serial number in output stream:  11
X Error of failed request:  86
  Major opcode of failed request:  51 (X_SetFontPath)
  Serial number of failed request:  9
  Current serial number in output stream:  11
Xlib:  extension "RENDER" missing on display ":0.0".
DCOPServer up and running.
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Error while initializing the sound driver: 
device /dev/dsp can't be opened (Permission denied)
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
QSocketNotifier: Multiple socket notifiers for same socket 6 and type read
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Double QObject deletion detected.
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  7 (X_ReparentWindow)
  Resource id in failed request:  0x1400010
  Serial number of failed request:  12352
  Current serial number in output stream:  12446

seems there s  problem with fonts

Comment 1 Eric Doutreleau 2002-02-15 10:16:31 UTC
Created attachment 45784 [details]
screenshot for showing the huge fonts at login

Comment 2 Bernhard Rosenkraenzer 2002-02-15 10:34:16 UTC
The RENDER messages show your X server can't handle fonts properly. What graphics card are 
you using? NVidia, by any chance?

Comment 3 Eric Doutreleau 2002-02-18 10:58:11 UTC
Well it s not an NVIDIA card

It s an ATI 3D Rape PRO AGF
Yje system is an Dell optiplex GXa

Comment 4 Eric Doutreleau 2002-02-18 10:59:19 UTC
Well it s not an NVIDIA card

It s an ATI 3D Rape PRO AGP
The system is an Dell optiplex GXa

Comment 5 Eric Doutreleau 2002-02-20 14:17:43 UTC
Another piece of information

I tried to configure the card with kickstart feature but it doesn't work at
all
The card isn't properly detected.
then i configured "manually" the card


Comment 6 Eric Doutreleau 2002-02-25 16:50:37 UTC
I upgrade the XFree Server to version 4.1.0 with the updated package from
RedHat
I don 't have anymore the message about missing RENDER extension but i still
have problem with muy HUGE font for the desktop

Comment 7 Bernhard Rosenkraenzer 2002-03-21 09:49:16 UTC
Please attach your .kde directory; I need to check it for bad settings. 


Comment 8 Eric Doutreleau 2002-04-02 15:00:32 UTC
Created attachment 51824 [details]
kde configuration

Comment 9 Ngo Than 2004-10-18 14:48:15 UTC
it's fixed in RHEL3 and FC2 current release.


Note You need to log in before you can comment on or make changes to this bug.